### Class

# FwupdPlugin TpmEventlogV2

#### Description [src]

    final class FwupdPlugin.TpmEventlogV2 : FwupdPlugin.TpmEventlog
    {
      /* No available fields */
    }

Parse the TPM eventlog.

#### Hierarchy

#### Ancestors

- FuTpmEventlog
- FuFirmware
- GObject

#### Constructors

###### fu_tpm_eventlog_v2_new

Creates a new object to parse TPMv2 eventlog data.

since: 2.1.1

#### Instance methods

##### Methods inherited from FuTpmEventlog (1)

###### fu_tpm_eventlog_calc_checksums

Calculate the possible checksums for a given PCR.

since: 2.1.1

##### Methods inherited from FuFirmware (66)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginTpmEventlogV2Class {
      FuTpmEventlogClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuTpmEventlogClass`

  No description available.